if exists("current_compiler")
    finish
endif

let current_compiler = "vs"

if exists(":CompilerSet") != 2
    command -nargs=* CompilerSet setlocal <args>
endif

let s:save_cpo = &cpo
set cpo-=C

if filereadable("makefile") || filereadable("Makefile")
    CompilerSet makeprg=make
else
    CompilerSet makeprg=msbuild.exe
endif

CompilerSet errorformat=\ %#%f(%l\\\,%c):\ %m

let &cpo = s:save_cpo
unlet s:save_cpo

" vim:ts=4:sw=4:et
