if exists("g:vs_loaded_install")
    finish
endif
let g:vs_loaded_install = 1

function! LineEnding()
    if &fileformat == 'dos'
        return "\r\n"
    elseif &fileformat == 'mac'
        return "\r"
    endif

    return "\n"
endfunction

function! IsWin()
    let win = ['win16', 'win32', 'win32unix', 'win64', 'win95']
    for w in win
        if (has(w))
            return 1
        endif
    endfor

    return 0
endfunction

function! PathSep()
    if IsWin()
        return ";"
    endif
    
    return ":"
endfunction

augroup vim-vs
    autocmd!
augroup END

" vim:ts=4:sw=4:et
